-- Size of a region, in chunks (default is 56 to be a multiple of RSO's value)

RegionSize = 56



-- Search radius for finding neighbors in the same resource field (default is 1, max is 20 which is rather slow)

ResourceFieldSearchRadius = 1



-- Whether to search in all directions (default is false, not needed if find_entities_filtered returns results sorted by position)

ResourceFieldSearchAllDirections = false



-- Preferred names for resources on map, or blank to hide (default is to replace non-alphanumeric characters with space, upper-case the first letter, and prepend a tilde)
enable_polsih = false
enable_english = true

ResourceDisplayName = {}

if enable_polish then
ResourceDisplayName[ "iron-ore" ] = "~Ruda żelaza"
ResourceDisplayName[ "copper-ore" ] = "~Ruda miedzi"
ResourceDisplayName[ "crude-oil" ] = "~Ropa naftowa"
ResourceDisplayName[ "gold-ore" ] = "~Ruda złota"
ResourceDisplayName[ "silver-ore" ] = "~Ruda srebra"
ResourceDisplayName[ "tin-ore" ] = "~Ruda cyny"
ResourceDisplayName[ "tungsten" ] = "~Ruda wolframu"
ResourceDisplayName[ "zinc-ore" ] = "~Ruda cynku"
ResourceDisplayName[ "bauxite-ore" ] = "~Boksyt (Ruda aluminium)"
ResourceDisplayName[ "rutile-ore" ] = "~Rutyl (Ruda tytanu)"
ResourceDisplayName[ "nickel-ore" ] = "~Ruda niklu"
ResourceDisplayName[ "cobalt-ore" ] = "~Ruda kobaltu"
ResourceDisplayName[ "quartz" ] = "~Kwarc (Ruda krzemu)"
ResourceDisplayName[ "sulfur" ] = "~Siarka"
ResourceDisplayName[ "gem-ore" ] = "~Kamienie szlachetne"
ResourceDisplayName[ "uraninite" ] = "~Uranit"
ResourceDisplayName[ "fluorite" ] = "~Fluoryt"
ResourceDisplayName[ "coal" ] = "~Węgiel kamienny"
ResourceDisplayName[ "stone" ] = "~Kamień"
ResourceDisplayName[ "lead-ore" ] = "~Galena (Ruda ołowiu)"
ResourceDisplayName[ "angels-ore1" ] = "~Saphiritium"
ResourceDisplayName[ "angels-ore2" ] = "~Jivolitium"
ResourceDisplayName[ "angels-ore3" ] = "~Stiratium"
ResourceDisplayName[ "angels-ore4" ] = "~Crotinium"
ResourceDisplayName[ "angels-ore5" ] = "~Rubytium"
ResourceDisplayName[ "angels-ore6" ] = "~Bobmonium"
ResourceDisplayName[ "infinite-angels-ore1" ] = "~Nieskończona ruda saphiritium"
ResourceDisplayName[ "infinite-angels-ore2" ] = "~Nieskończona ruda jivolitium"
ResourceDisplayName[ "infinite-angels-ore3" ] = "~Nieskończona ruda stiratium"
ResourceDisplayName[ "infinite-angels-ore4" ] = "~Nieskończona ruda crotinnium"
ResourceDisplayName[ "infinite-angels-ore5" ] = "~Nieskończona ruda rubytium"
ResourceDisplayName[ "infinite-angels-ore6" ] = "~Nieskończona ruda bobmonium"
end

if enable_english then
ResourceDisplayName[ "angels-ore1" ] = "~Saphirite"
ResourceDisplayName[ "angels-ore2" ] = "~Jivolite"
ResourceDisplayName[ "angels-ore3" ] = "~Stiratite"
ResourceDisplayName[ "angels-ore4" ] = "~Crotinnium"
ResourceDisplayName[ "angels-ore5" ] = "~Rubyte"
ResourceDisplayName[ "angels-ore6" ] = "~Bobmonium"
ResourceDisplayName[ "infinite-angels-ore1" ] = "~Infinite Saphirite"
ResourceDisplayName[ "infinite-angels-ore2" ] = "~Infinite Jivolite"
ResourceDisplayName[ "infinite-angels-ore3" ] = "~Infinite Stiratite"
ResourceDisplayName[ "infinite-angels-ore4" ] = "~Infinite Crotinnium"
ResourceDisplayName[ "infinite-angels-ore5" ] = "~Infinite Rubyte"
ResourceDisplayName[ "infinite-angels-ore6" ] = "~Infinite Bobmonium"
end

